Complete Connect OAuth
Completes Stripe Connect OAuth after Stripe redirects back with a code.
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
code?string
state?string
Response Body
application/json
curl -X POST "https://api.noderings.com/v1/provider/connect/oauth:complete" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "state": "string"}'{
"account": {
"id": "string",
"email": "string",
"country": "string",
"type": "string",
"status": "string",
"onboardingUrl": "string",
"chargesEnabled": true,
"payoutsEnabled": true,
"metadata": {},
"createdAt": "2019-08-24T14:15:22Z",
"taxSettingsStatus": "string",
"taxSettingsMissingFields": [
"string"
]
},
"onboardingUrl": "string",
"requiresOnboarding": true
}